
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org GSM MUX Interface</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.GSM.MUX</h1><h2>Description</h2>
<p>The MUX interface is used to manage and control virtual serial channels  (implemented through pseudo TTYs) which are multiplexed to one serial  line as described in 3GPP TS 07.10.</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.GSM.MUX</tt></p>
<h2>Methods</h2><ul>
<li><a href="#OpenSession">OpenSession</a></li>
<li><a href="#CloseSession">CloseSession</a></li>
<li><a href="#AllocChannel">AllocChannel</a></li>
<li><a href="#ReleaseChannel">ReleaseChannel</a></li>
<li><a href="#SetStatus">SetStatus</a></li>
</ul>
<h2>Signals</h2><ul>
<li><a href="#Status">Status</a></li>
</ul>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><i>None</i>
<h1>Methods</h1><h3><a name="OpenSession">OpenSession</a> ( bisi )</h3>
<p><i>Description:</i> Initiate a new multiplexing session. </p><p><div class="rationale"><p>The device needs to support the +CMUX command. </p></div></p><h4>Parameters</h4><i>b: advanced</i><p>True, to use 07.10 Advanced Mode multiplexing, False to use 07.10 Basic Mode multiplexing. </p><i>i: framesize</i><p>The maximum framesize for 07.10 multiplexing frames. </p><i>s: portname</i><p>The port name to use. </p><i>i: portspeed</i><p>The port speed to use. </p>
<h3><a name="CloseSession">CloseSession</a> ( )</h3><p><i>Description:</i> Closes a multiplexing session. </p><p><div class="rationale"><p>The device will be left in AT command mode. </p></div></p>
<h3><a name="AllocChannel">AllocChannel</a> ( si ) &rarr; si</h3>
<p><i>Description:</i> Allocate a new virtual channel. Raises <a href="http://docs.freesmartphone.org/org.freesmartphone.GSM.MUX.html#NoChannel">NoChannel</a>  if the requested channel can not be allocated. Raises <a href="http://docs.freesmartphone.org/org.freesmartphone.GSM.MUX.html#ChannelTaken">ChannelTaken</a>  if the requested channel is already allocated. </p><h4>Parameters</h4><i>s: origin</i><p>A handle for channel user identification. </p><i>i: channel</i><p>The requested channel. Submit 0 to request the next free channel. </p><h4>Returns</h4><i>s: path</i><p>The pseudo tty connected to the virtual channel. </p><i>i: allocated_channel</i><p>The channel number that has been allocated. </p>
<h3><a name="ReleaseChannel">ReleaseChannel</a> ( s )</h3>
<p><i>Description:</i> Release all channels requested by a specified user. </p><h4>Parameters</h4><i>s: origin</i><p>A handle for channel user identification. </p>
<h3><a name="SetStatus">SetStatus</a> ( is )</h3>
<p><i>Description:</i> Modify the v24 status of a virtual channel. </p><h4>Parameters</h4><i>i: channel</i><p>The virtual channel you want to change the outgoing status for. </p><i>s: status</i><p>The new v.24 status. See <a href="http://docs.freesmartphone.org/org.freesmartphone.GSM.MUX.html#Status">Status</a> for the format. </p>
<h1>Signals</h1><h3><h3><a name="Status">Status</a> ( s )</h3><p><i>Description:</i> Sent whenever there is v.24 incoming status change on a virtual channel. </p><h4>Parameters</h4><i>s: status</i><p>The new v.24 status, which is a string combined of elements that make up the status. Valid elements are:  <ul>  <li>...</li>  <li>...</li>  </ul> </p></h3>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

